Subject: Re: bug#22763: 25.1.50; Feature Request -- A faster method to obtain line number at position.

From: Philipp <[email-masked]>
Date: Sun, 7 Feb 2021 23:09:11 +0100

> Am 07.02.2021 um 22:52 schrieb Lars Ingebrigtsen <[email-masked]>:
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>>> Perhaps memchr has gotten faster over the years?
>> 
>> No, it was fast then as well (due to inlining, AFAIR).
>> 
>> I think the main factor is the file used to benchmark this stuff.  I
>> don't remember what I used.
> 
> I was curious as to how memchr is implemented these days:
> 
> https://code.woboq.org/userspace/glibc/string/memchr.c.html
> 
> It seems it tests one longword_ptr at a time?  So that's 8 bytes on
> 64-bit CPUs, I think.  Doesn't look like any SSE/AVX support, though.

I think that’s only the unoptimized generic version, there are architecture-specific versions like https://sourceware.org/git/?p=glibc.git;a=blob;f=sysdeps/x86_64/memchr.S;h=beff2708de6a1e40de4141f94ff6fe763f041164;hb=HEAD.